NUMSUM(1)

NAME
numsum - numsum program file

SYNOPSIS
numsum [-iIcdhrsvxy] <FILE>

| numsum [-iIcdhrsvxy] (Input on STDIN from pipeline.)

numsum [-iIcdhrsvxy] (Input on STDIN. Use Ctrl-D to stop.)

DESCRIPTION
numsum will take all the numbers on stdin and return the sum of those numbers. Currently it only processes the first number on each line (unless when using the -x option). Besides positive numbers, it also handles negative numbers and numbers with decimals.

OPTIONS
    -i  Only return the integer portion of the final sum.
    -I  Only return the decimal portion of the final sum.

    -c  Print out the sum of each column.
    -r  Print out the sum of each row.

    -x <n>  Specify a comma separated list of columns to print.
    -y <n>  Specify a comma separated list of rows to print.

    -s <string> Specify a string to use as a separator for columns.
                This defaults to be consecutive whitespace (\s+).

    -h  Help: You're looking at it.
    -V  Increase verbosity.
    -d  Debug mode.  For developers
    -q  Quiet mode, don't print any warnings.

EXAMPLES
Simply add up the numbers in a file.
    $ numsum numbers.txt
    4315

Enter your own numbers on STDIN. The last number is the answer.
    $ numsum
    4
    21
    98
    100
    223

Use it in a command pipeline.
    $ ls -1s | grep .mp3 | numsum -c -x 5
    72288

Add up the total byte count in a http log file.
    $ cat access_log | awk {'print $10'} numsum

    or

    numsum -c -x 10 access_log

Add up the columns of numbers of a file.

    $ cat columns
    1 6 11 16 21
    2 7 12 17 22
    3 8 13 18 23
    4 9 14 19 24
    5 10 15 20 25
    $ numsum -c columns
    15 40 65 90 115

Add up the 1st, 2nd and 5th columns only.

    $ numsum -c -x 1,2,5 columns
    15 40 115

Add up the rows of numbers of a file.

     $ numsum -r columns
     55
     60
     65
     70
     75

Add up the 2nd and 4th rows.

     $ numsum -r -y 2,4 columns
     60
     70

SEE ALSO
numaverage(1), numbound(1), numinterval(1), numnormalize(1), numgrep(1), numprocess(1), numrandom(1), numrange(1), numround(1)

COPYRIGHT
numsum is part of the num-utils package, which is copyrighted by Suso Banderas and released under the GPL license. Please read the COPYING and LICENSE files that came with the num-utils package

  Developers can read the GOALS file and contact me about providing
submitions or help for the project.

MORE INFO
More info on numsum can be found at:

http://suso.suso.org/xulu/Num-utils